Packages - Freedom Issue #2508

[ksysguard] supports non-free nvidia-utils/nvidia-smi utility
2019-10-16 11:24 AM - grizzlyuser

Status: unconfirmed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

New version of KSysGuard in KDE Plasma 5.17 (package ksysguard 5.17.0-1) added the plugin that supports nvidia-smi utility to
display Nvidia GPU load stats. Please see the commit [1]. AFAIK, nvidia-smi is a part of nvidia-utils package that is blacklisted
already [2]. | don't know if libre version of nvidia-smi exists.

| vote in favour of libre replacement of ksysguard with [1] reverted, instead of just being trigger-happy and blacklisting the whole
package for that single reason.

[1] https://cqit.kde.org/ksysguard.qgit/commit/?id=98b81734d11438073e22e223c82b297{95a8fa29
[2] https://qit.parabola.nu/blacklist.git/tree/blacklist.txt#n506

History

#1 - 2019-10-16 11:36 AM - bill-auger
- Priority changed from bug to discussion

- Subject changed from [ksysguard] Has new plugin that supports nvidia-smi utility from nonfreen vidia-utils package to [ksysguard] supports non-free
nvidia-utils/nvidia-smi utility

im not sure if this is any problem for us - 'nvidia-utils' is on the blacklist; but 'ksysguard' does not depend it

$ pacman -Si ksysguard | grep -E 'Version|Depends'
Version 8 SodT.0=1
Depends On : knewstuff libksysguard kinit

#2 - 2019-10-16 12:38 PM - grizzlyuser

If we take Parabola Social Contract # 1 as a rule, | think this issue qualifies as support of execution of non-free software. For example, in a similar
way, virt-install package removes support of non-free distros. Whatever is the decision, | think there has to be consistency on where to draw the line.

Perhaps, maintainer from Arch package has not added nvidia-utils to optdepends yet, so it doesn't depend on it right now. Obviously, I'm not going to
report this to Arch bug tracker in my free time ;)

#3 - 2019-10-16 01:19 PM - bill-auger

ive never used virt-install; but IIRC the deal there, is that the
program will suggest and maybe even download the non-free
distro installer, like unetbootin

the idea of a libre distro is not to prevent people from running
non-free software - if they want to use it, thats freedom #0 -

the FSDG requires that we do not suggest, recommend, or assist
with using non-free programs - it does not require that we make
it impossible - if it did, then no javascript enabled web

browsers would be allowed - the browsers must not recommend
installing non-free addons; but they may use them if the user
acquires them elsewhere

the only exception of the preemptive kind you are suggesting is

the ability to load DRM modules - the FSDG requires that to be
removed

#4 - 2019-10-16 01:27 PM - grizzlyuser
I'm pretty sure virt-install does not prevent users from running non-free distros. AFAIK it removes preset configurations which can be automatically

suggested by new VM wizard based on distro detected from ISO file.

#5 - 2019-10-16 01:34 PM - bill-auger
https://cgit.kde.org/ksysguard.git/commit/?id=98b81734d11438073e22e223c82b297f95a8fa29
https://git.parabola.nu/blacklist.git/tree/blacklist.txt#n506

ok, i see now the bit in the parabola social contract that you are referring to
do not provide any type of support for the installation or execution of non-Free software.

im quite sure that is referring to technical support - as in: we will not explain or assist how to use non-free programs - we can surely have a discussion
about that - i think the parabola social contract should be revised to be more precise and concise, and more importantly renamed to something more
practical and accurate like: mission statement

for all practical purposes regarding the software packages, the parabola social contract could be summarized by one sentence, that is: "parabola
follows the FSDG, and extends the FSDG to all files on the system" - the only "social" bit really, is the part that says we should involve the entire
community in the decision making process; and im all for that

#6 - 2019-10-16 01:48 PM - grizzlyuser

| certainly did not mean that there has to be some restriction added to what users can run. After all, the sources are all there.

As another example, linux-libre disables loading of known non-free firmware blobs. It looks like KSysGuard would find and run non-free blob by
hard-coded name (see commit), if it's available.

#7 - 2019-10-16 02:11 PM - bill-auger

thats not quite accurate about linux-libre - what it does, is it refuses to load any module that is not whitelisted; and that has been explained to me as a
bug, not an intentional feature - the debian kernel used by pureos will load any compatible module that it finds; and the FSF did not see that as a
problem when they endorsed pureos

again, we can have a conversation about this; but it should be on the mailing list for the benefit of everyone - id say that as things stand today, this is
not a freedom bug - i will leave it open for a bit though to see if anyone else chimes in

#8 - 2019-10-16 04:25 PM - grizzlyuser

Probably | opened this issue based on wrong examples. As long as the package is free and stays in Parabola repos in one form or another, I'm fine.

#9 - 2020-02-16 08:23 AM - grizzlyuser

Arch Linux added nonfree nvidia-utils as an optional dependency, see
https:/git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/ksysguard&id=9c1bfff56c8aa200ff857aa84641a6952f6df7{5
